## django-pipeline 4.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-pipeline.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-pipeline.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-pipeline"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-pipeline"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-pipeline 1.2.2.1

=== debian/changelog ===
django-pipeline (1.2.2.1-1) unstable; urgency=low

  * Initial release (Closes: #670508)

 -- Dmitry Nezhevenko <dion@dion.org.ua>  Thu, 26 Apr 2012 12:18:18 +0300

=== debian/control ===
Source: django-pipeline
Section: python
Priority: optional
Maintainer: Dmitry Nezhevenko <dion@dion.org.ua>
Build-Depends: debhelper (>= 8), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
 python-django (>= 1.4), python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Homepage: https://github.com/cyberdelia/django-pipeline

Package: python-django-pipeline
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Asset packaging library for Django
 Pipeline is an asset packaging library for Django, providing both CSS and
 JavaScript concatenation and compression, built-in JavaScript template support,
 and optional data-URI image and font embedding.

Package: python-django-pipeline-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: doc-base
Description: Documentation for Django Pipeline library
 Pipeline is an asset packaging library for Django, providing both CSS and
 JavaScript concatenation and compression, built-in JavaScript template support,
 and optional data-URI image and font embedding.
 .
 This package contains documentation in HTML format

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf django_pipeline.egg-info docs/_build

override_dh_auto_build:
	dh_auto_build
	make -C docs html text

override_dh_auto_install:
	dh_auto_install --destdir=debian/python-django-pipeline
	dh_installdocs -ppython-django-pipeline-doc docs/_build/html

override_dh_installchangelogs:
	dh_installchangelogs docs/_build/text/changelog.txt

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Unfortunately upstream currently don't provide any releases on homepage
http://pypi.python.org/pypi/django-pipeline/ .*django-pipeline-(.*)\.tar\.gz.*

## django-pipeline 1.3.24

=== debian/changelog ===
django-pipeline (1.3.24-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Python3 package.

 -- Brian May <bam@debian.org>  Thu, 03 Jul 2014 15:00:04 +1000

django-pipeline (1.3.24-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release, closes: #749829.
  * Update standard version to 3.9.5.
  * Override lintian warning license-problem-json-evil, this is a false
    positive due to debian/patches/make_jsmin_optional. We do not include
    jsmin.

 -- Brian May <bam@debian.org>  Wed, 18 Jun 2014 15:42:27 +1000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,25 @@
 Section: python
 Priority: optional
 Maintainer: Dmitry Nezhevenko <dion@dion.org.ua>
-Build-Depends: debhelper (>= 8), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
- python-django (>= 1.4), python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>=8.1.0), dh-python,
+ python-django (>= 1.4), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
+ python3-django (>= 1.4), python3-setuptools (>= 0.6b3), python3-all,
+ python3-sphinx (>= 1.0.7+dfsg)
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: https://github.com/cyberdelia/django-pipeline
 
 Package: python-django-pipeline
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
+Description: Asset packaging library for Django
+ Pipeline is an asset packaging library for Django, providing both CSS and
+ JavaScript concatenation and compression, built-in JavaScript template support,
+ and optional data-URI image and font embedding.
+
+Package: python3-django-pipeline
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
 Description: Asset packaging library for Django
  Pipeline is an asset packaging library for Django, providing both CSS and
  JavaScript concatenation and compression, built-in JavaScript template support,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-pipeline

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C docs html text

override_dh_auto_install:
	dh_auto_install
	dh_installdocs -ppython-django-pipeline-doc docs/_build/html

## django-pipeline 1.4.4.1

=== debian/changelog ===
django-pipeline (1.4.4.1-1) unstable; urgency=medium

  * New upstream version, closes: #776621.
  * Update package to be maintained by Debian python modules team.

 -- Brian May <bam@debian.org>  Tue, 03 Feb 2015 15:43:37 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: django-pipeline
 Section: python
 Priority: optional
-Maintainer: Dmitry Nezhevenko <dion@dion.org.ua>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>=8.1.0), dh-python,
  python-django (>= 1.4), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
  python3-django (>= 1.4), python3-setuptools (>= 0.6b3), python3-all,
  python3-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.6
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.7
 Homepage: https://github.com/cyberdelia/django-pipeline
 
 Package: python-django-pipeline

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Unfortunately upstream currently don't provide any releases on homepage
opts="filenamemangle=s/\S+\/([^\/]+\.tar\.gz)#md5=[[:alnum:]]+$/$1/" \
        https://pypi.python.org/simple/django-pipeline/ \
        \S+/django-pipeline-(\S+)\.tar\.gz#md5=[[:alnum:]]+

## django-pipeline 1.5.1

=== debian/changelog ===
django-pipeline (1.5.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Remove unversioned dependencies:
    - python-all
    - python-setuptools
    - python3-django
    - python3-setuptools
    - python3-sphinx
  * Reformat packaging files with cme for better readability.
  * Make description of the Python3 package unique.
  * Set X-Python3-Version to >= 3.2.
  * Install upstream changelog.
  * Call sphinx directly from pybuild to build the documentation.
  * Use python-django-pipeline-doc.docs instead of overriding
    dh_installdocs.
  * Clean up built documentation so package can be built two times in a
    row.
  * Provide symlink to point to documentation source.
  * Use pypi.debian.net service for uscan.

 -- Michael Fladischer <fladi@debian.org>  Mon, 06 Jul 2015 21:41:02 +0200

django-pipeline (1.4.7-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Fri, 10 Apr 2015 11:26:16 +1000

=== debian/control ===
Source: django-pipeline
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 8.1.0),
               dh-python,
               python-all,
               python-django (>= 1.4),
               python-setuptools,
               python3-all,
               python3-django,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-pipeline/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-pipeline/trunk/
Homepage: https://github.com/cyberdelia/django-pipeline
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-django-pipeline
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Asset packaging library for Django
 Pipeline is an asset packaging library for Django, providing both CSS and
 JavaScript concatenation and compression, built-in JavaScript template support,
 and optional data-URI image and font embedding.

Package: python3-django-pipeline
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Asset packaging library for Django (Python3 version)
 Pipeline is an asset packaging library for Django, providing both CSS and
 JavaScript concatenation and compression, built-in JavaScript template support,
 and optional data-URI image and font embedding.
 .
 This package contains the Python 3 version of the library.

Package: python-django-pipeline-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: doc-base
Description: Documentation for Django Pipeline library
 Pipeline is an asset packaging library for Django, providing both CSS and
 JavaScript concatenation and compression, built-in JavaScript template support,
 and optional data-URI image and font embedding.
 .
 This package contains documentation in HTML format

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-pipeline
export PYBUILD_AFTER_BUILD_python3=sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs -- HISTORY.rst

## django-pipeline 1.5.4

=== debian/changelog ===
django-pipeline (1.5.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 14 Sep 2015 21:10:07 +0200

django-pipeline (1.5.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Run tests using custom pybuild configuration.
  * Add python(3)-jinja2 and python(3)-mock to Build-Depends as they are
    required to run the tests.
  * Clean up static files created by tests.
  * Bump debhelper compatibility level to 9.
  * Add python(3)-jinja2 to Depends in order to support is as a
    templating engine.

 -- Michael Fladischer <fladi@debian.org>  Wed, 12 Aug 2015 10:11:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,17 @@
 Uploaders: Brian May <bam@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 8.1.0),
+Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
                python-django (>= 1.4),
+               python-jinja2,
+               python-mock,
                python-setuptools,
                python3-all,
                python3-django,
+               python3-jinja2,
+               python3-mock,
                python3-setuptools,
                python3-sphinx
 Standards-Version: 3.9.6
@@ -21,7 +25,8 @@
 
 Package: python-django-pipeline
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python-jinja2,
+         ${misc:Depends},
          ${python:Depends}
 Description: Asset packaging library for Django
  Pipeline is an asset packaging library for Django, providing both CSS and
@@ -30,7 +35,8 @@
 
 Package: python3-django-pipeline
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-jinja2,
+         ${misc:Depends},
          ${python3:Depends}
 Description: Asset packaging library for Django (Python3 version)
  Pipeline is an asset packaging library for Django, providing both CSS and

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,12 @@
 	dh_auto_build
 
 override_dh_clean:
+	rm -rf tests/static
 	rm -rf docs/.build
 	dh_clean
 
 override_dh_installchangelogs:
 	dh_installchangelogs -- HISTORY.rst
+
+override_dh_auto_test:
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=. python{version} /usr/bin/django-admin test --settings=tests.settings" dh_auto_test

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-pipeline/django-pipeline-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-pipeline 1.6.8

=== debian/changelog ===
django-pipeline (1.6.8-3) unstable; urgency=medium

  * Work around for random build failures. Closes: #851722.

 -- Brian May <bam@debian.org>  Fri, 10 Mar 2017 18:54:37 +1100

django-pipeline (1.6.8-2) unstable; urgency=medium

  * Team upload.
  * Wrote patch to fix tests, which FTBFS with Django 1.10 (Closes: #828653).
    - 0003-Define-kwarg_name-in-pipeline_settings-class.patch
  * Standards-Version: 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Aug 2016 11:32:23 +0000

django-pipeline (1.6.8-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 06 Apr 2016 12:50:39 +1000

django-pipeline (1.6.7-1) unstable; urgency=medium

  * New upstream version.
  * Fixes FTBFS. Closes: #818730.
  * Remove slimit test. slimit is not Python 3 compatible, use jsmin instead.
  * Change default compressors to ones available in Debian main.
  * Recommend the default compressors.
  * Remove make_jsmin_optional patch, it isn't needed and was bad solution to
    fix failing tests.

 -- Brian May <bam@debian.org>  Thu, 24 Mar 2016 09:55:00 +1100

django-pipeline (1.6.4-1) unstable; urgency=medium

  * New upstream version.
  * Has new configuration settings; old settings won't work anymore.

 -- Brian May <bam@debian.org>  Sun, 03 Jan 2016 13:39:36 +1100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,17 @@
                python-jinja2,
                python-mock,
                python-setuptools,
+               python-jsmin,
                python3-all,
                python3-django,
                python3-jinja2,
                python3-mock,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-pipeline/trunk/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-pipeline/trunk/
+               python3-sphinx,
+               python3-jsmin,
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-pipeline.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-pipeline.git
 Homepage: https://github.com/cyberdelia/django-pipeline
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
@@ -28,6 +30,7 @@
 Depends: python-jinja2,
          ${misc:Depends},
          ${python:Depends}
+Recommends: cssmin, python-jsmin
 Description: Asset packaging library for Django
  Pipeline is an asset packaging library for Django, providing both CSS and
  JavaScript concatenation and compression, built-in JavaScript template support,
@@ -38,6 +41,7 @@
 Depends: python3-jinja2,
          ${misc:Depends},
          ${python3:Depends}
+Recommends: cssmin, python3-jsmin
 Description: Asset packaging library for Django (Python3 version)
  Pipeline is an asset packaging library for Django, providing both CSS and
  JavaScript concatenation and compression, built-in JavaScript template support,

## django-pipeline 1.6.13

=== debian/changelog ===
django-pipeline (1.6.13-1) unstable; urgency=medium

  * New upstream version.
  * Fixes FTBFS with Django 1.11. Closes: #865558.

 -- Brian May <bam@debian.org>  Sun, 02 Jul 2017 20:28:40 +1000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-jsmin,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-pipeline.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-pipeline.git
 Homepage: https://github.com/cyberdelia/django-pipeline

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 	dh_auto_build
 
 override_dh_clean:
-	rm -rf tests/static
 	rm -rf docs/.build
 	dh_clean
 
@@ -22,4 +21,5 @@
 	dh_installchangelogs -- HISTORY.rst
 
 override_dh_auto_test:
+	PYTHONPATH=. /usr/bin/django-admin collectstatic --settings=tests.settings --noinput
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=. python{version} /usr/bin/django-admin test --settings=tests.settings" dh_auto_test

## django-pipeline 1.6.14

=== debian/changelog ===
django-pipeline (1.6.14-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:16:07 +0100

django-pipeline (1.6.14-5) unstable; urgency=medium

  * debian/patches/remove-broken-tests.patch
    - make this prj compatible with modern Django and python; Closes: #997302

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Jun 2022 15:04:59 -0400

django-pipeline (1.6.14-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints.
    + python-django-pipeline-doc: Add Multi-Arch: foreign.

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jun 2022 21:01:54 -0400

django-pipeline (1.6.14-3) unstable; urgency=medium

  * Removed Ondrej from uploaders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 17:24:43 +0200

django-pipeline (1.6.14-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Jelmer Vernooĳ ]
  * Move source package lintian overrides to debian/source.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2.
  * Add fix-tests.settings.py.patch.
  * Removed 2 borken tests: remove-broken-tests.patch.
  * Added Ondřej and myself as uploaders.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2019 07:05:17 +0200

django-pipeline (1.6.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Brian May ]
  * New upstream version.
  * Add depends on python-django and python3-django.

 -- Brian May <bam@debian.org>  Thu, 03 May 2018 07:53:51 +1000

=== debian/control ===
Source: django-pipeline
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django,
 python3-jinja2,
 python3-jsmin,
 python3-mock,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-pipeline
Vcs-Git: https://salsa.debian.org/python-team/packages/django-pipeline.git
Homepage: https://github.com/cyberdelia/django-pipeline

Package: python-django-pipeline-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 doc-base,
Multi-Arch: foreign
Description: Documentation for Django Pipeline library
 Pipeline is an asset packaging library for Django, providing both CSS and
 JavaScript concatenation and compression, built-in JavaScript template support,
 and optional data-URI image and font embedding.
 .
 This package contains documentation in HTML format

Package: python3-django-pipeline
Architecture: all
Depends:
 python3-django,
 python3-jinja2,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 cssmin,
 python3-jsmin,
Description: Asset packaging library for Django (Python3 version)
 Pipeline is an asset packaging library for Django, providing both CSS and
 JavaScript concatenation and compression, built-in JavaScript template support,
 and optional data-URI image and font embedding.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_auto_build:
-	dh_auto_build
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	rm -rf docs/.build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-pipeline/django-pipeline-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-pipeline 3.0.0

=== debian/changelog ===
django-pipeline (3.0.0-2) unstable; urgency=medium

  * Team Upload
  * Revert failed attempt to fix Salsa CI that made things worse
    (Closes: #1070047)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 30 Apr 2024 11:08:34 +0200

django-pipeline (3.0.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.0.0 (Closes: #961072)
  * Remove extraneous python3-mock build dep
  * css_html_js_minify is not packaged, patch-it out
  * use new dh-sequence-python3
  * d/watch: bump to v4
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Apr 2024 19:35:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,20 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-django,
  python3-jinja2,
  python3-jsmin,
- python3-mock,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
+Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-pipeline
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-pipeline.git
 Homepage: https://github.com/cyberdelia/django-pipeline
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-pipeline-doc
 Architecture: all
@@ -50,5 +52,3 @@
  Pipeline is an asset packaging library for Django, providing both CSS and
  JavaScript concatenation and compression, built-in JavaScript template support,
  and optional data-URI image and font embedding.
- .
- This package contains the Python 3 version of the library.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-pipeline/django-pipeline-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-pipeline 4.0.0

=== debian/changelog ===
django-pipeline (4.0.0-4ubuntu1) questing; urgency=medium

  * d/p/add-django-5.2-support.patch: Add support for Django 5.2.

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 28 Jul 2025 14:19:40 -0400

django-pipeline (4.0.0-4) unstable; urgency=medium

  * Team upload.
  * Use pybuild more effectively, fixing autopkgtests (closes: #1102611).

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jul 2025 18:14:03 +0200

django-pipeline (4.0.0-3) unstable; urgency=medium

  * Team upload.
  * Fix copy-paste mistake in my css_html_js_minify patch.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 Jan 2025 23:30:59 +0100

django-pipeline (4.0.0-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/0004-pyproject.toml-Exclude-more-files.patch:
    Add patch to exclude more files during installation. (Closes: #1092768)
  * debian/control: Add ${sphinxdoc:Built-Using}.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jan 2025 16:52:29 -0500

django-pipeline (4.0.0-1) unstable; urgency=medium

  * Team Upload
  * Fix d/watch for new PyPi archive naming policy
  * New upstream version 4.0.0
  * Add build-dep on pybuild-plugin-pyproject

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 01:05:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: django-pipeline
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Brian May <bam@debian.org>,
  Thomas Goirand <zigo@debian.org>,
@@ -8,6 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django,
  python3-jinja2,
@@ -25,6 +27,8 @@
 Package: python-django-pipeline-doc
 Architecture: all
 Section: doc
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}

export PYBUILD_NAME=django-pipeline
export PYBUILD_DESTDIR=debian/python3-django-pipeline
export PYBUILD_AFTER_BUILD_python3=PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
export PYBUILD_BEFORE_TEST=PYTHONPATH=. {interpreter} /usr/bin/django-admin collectstatic --settings=tests.settings --noinput
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=PYTHONPATH=. {interpreter} /usr/bin/django-admin test --settings=tests.settings

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs -- HISTORY.rst

## django-pipeline 4.1.0

=== debian/changelog ===
django-pipeline (4.1.0-2) unstable; urgency=medium

  * Team upload.
  * Patch-out "setuptools" runtime dependency (Closes: #1125843)
  * Add debian/salsa-ci.yml
  * Drop Py2vs3 hybridation from d/rules
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Cannot switch to uscan v5 yet, leave a note in d/watch

 -- Alexandre Detiste <tchet@debian.org>  Sun, 18 Jan 2026 15:20:47 +0100

django-pipeline (4.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Oct 2025 12:58:40 +0100

django-pipeline (4.0.0-5) unstable; urgency=medium

  * Tests needs libjs-jquery that was previously pulled in by
    -> python3-sphinx -> sphinx-common -> libjs-sphinxdoc -> libjs-jquery
  * Add d/clean (Closes: #1044278)
  * Drop "Rules-Requires-Root: no"
  * Set "Standards-Version" to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sun, 07 Sep 2025 13:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: django-pipeline
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Brian May <bam@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ libjs-jquery <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-django,
@@ -17,8 +16,7 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
-Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-pipeline
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-pipeline.git
 Homepage: https://github.com/cyberdelia/django-pipeline

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}

export PYBUILD_NAME=django-pipeline
export PYBUILD_DESTDIR=debian/python3-django-pipeline
export PYBUILD_AFTER_BUILD=PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
export PYBUILD_BEFORE_TEST=PYTHONPATH=. {interpreter} /usr/bin/django-admin collectstatic --settings=tests.settings --noinput
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=PYTHONPATH=. {interpreter} /usr/bin/django-admin test --settings=tests.settings

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_before_dh_clean:
	rm -rf docs/.build

override_dh_installchangelogs:
	dh_installchangelogs -- HISTORY.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-pipeline/django_pipeline-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# note: as of today uscan template does not yet do
# the correct mangling
#
# uppercase -> lowercase
# '-' -> '_'
#
# so it cannot see the recent files
#
# https://pypi.debian.net/django-pipeline/
#
# django-pipeline-2.0.5.tar.gz
# django-pipeline-2.0.6.tar.gz
# django-pipeline-2.0.7.tar.gz
# django-pipeline-2.0.8.tar.gz
# django-pipeline-2.0.9.tar.gz
# django-pipeline-2.1.0.tar.gz
# django-pipeline-3.0.0.tar.gz
# django_pipeline-3.1.0.tar.gz
# django_pipeline-4.0.0.tar.gz
# django_pipeline-4.1.0.tar.gz
